#!/usr/bin/env python
# -*- coding: utf-8 -*-

import pygame
import pygame.locals as pg


def initialize_screen():
    pygame.display.init()
    screen = pygame.display.set_mode((800, 600))
    screen.fill((0x66, 0x66, 0x66))
    return screen

def load_images():
    images = {
        'X': pygame.image.load('wall.png').convert(),
        '.': pygame.image.load('dirt.png').convert(),
        '@': pygame.image.load('hero.png').convert(),
    }
    return images

def draw_map(screen, images):
    screen_rect = screen.get_rect()
    for y in xrange(screen_rect.h // 32):
        for x in xrange(screen_rect.w // 32):
            screen.blit(images['.'], (x * 32, y * 32))

def wait_for_quit():
    pygame.display.update()
    while True:
        event = pygame.event.wait()
        if event.type == pg.QUIT:
            return

def run_game():
    screen = initialize_screen()
    images = load_images()
    draw_map(screen, images)
    wait_for_quit()


if __name__ == '__main__':
    run_game()
