# -*- coding: utf-8 -*-

import pygame
import os


def file_path(filename):
    return os.path.join(
            os.path.dirname(os.path.abspath(__file__)),
            'resources',
            filename
        )


def load_sheet(filename, width=32, height=None):
    if height is None:
        height = width
    path = file_path(filename)
    image = pygame.image.load(path)
    image = image.convert()
    image.set_colorkey((0xff, 0, 0xff))
    w, h = image.get_size()
    images = []
    for x in xrange(w // width):
        for y in xrange(h // height):
            rect = pygame.rect.Rect(x * width, y * height, width, height)
            images.append(image.subsurface(rect))
    return images



