# -*- coding: utf-8 -*-

import pygame
import pygame.locals as pg

import resources
import game


class Intro(object):
    def __init__(self):
        self.screen = pygame.display.get_surface()
        self.screen.fill((0x66, 0x66, 0x66))
        self.background = pygame.image.load(
                resources.file_path('intro.png')).convert()

    def run(self, scenes):
        self.screen.blit(self.background, (0, 0))
        pygame.display.update()
        while True:
            event = pygame.event.wait()
            if event.type == pg.QUIT or (
                    event.type == pg.KEYDOWN and event.key == pg.K_ESCAPE):
                return
            elif event.type == pg.KEYDOWN:
                while True:
                    event = pygame.event.wait()
                    if event.type == pg.KEYUP:
                        break
                scene = game.Game()
                scene.load_level('level.tmx')
                scenes.append(self)
                scenes.append(scene)
                return
